Orxonox: orxonox::SynchronisableVariableBase Class Reference

# orxonox::SynchronisableVariableBase Class Reference

`#include <src/network/synchronisable/SynchronisableVariable.h>`

Inheritance diagram for orxonox::SynchronisableVariableBase:

List of all members.

## Public Member Functions

virtual uint32_t | getData (uint8_t *&mem, uint8_t mode)=0
virtual uint8_t | getMode ()=0
virtual void * | getReference ()=0
virtual uint32_t | getSize (uint8_t mode)=0
virtual void | putData (uint8_t *&mem, uint8_t mode, bool forceCallback=false)=0
virtual | ~SynchronisableVariableBase ()

## Static Protected Attributes

static uint8_t | state_ = 0

## Constructor & Destructor Documentation

virtual orxonox::SynchronisableVariableBase::~SynchronisableVariableBase | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual uint32_t orxonox::SynchronisableVariableBase::getData | ( | uint8_t *& | mem,
|  | uint8_t | mode |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::SynchronisableVariable< T >, and orxonox::SynchronisableVariableBidirectional< T >.

virtual uint8_t orxonox::SynchronisableVariableBase::getMode | ( |  | ) | `[pure virtual]`

Implemented in orxonox::SynchronisableVariable< T >, and orxonox::SynchronisableVariableBidirectional< T >.

virtual void* orxonox::SynchronisableVariableBase::getReference | ( |  | ) | `[pure virtual]`

Implemented in orxonox::SynchronisableVariable< T >.

virtual uint32_t orxonox::SynchronisableVariableBase::getSize | ( | uint8_t | mode | ) | `[pure virtual]`

Implemented in orxonox::SynchronisableVariable< T >, and orxonox::SynchronisableVariableBidirectional< T >.

virtual void orxonox::SynchronisableVariableBase::putData | ( | uint8_t *& | mem,
|  | uint8_t | mode,
|  | bool | forceCallback = `false` |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::SynchronisableVariable< T >, and orxonox::SynchronisableVariableBidirectional< T >.

## Member Data Documentation

uint8_t orxonox::SynchronisableVariableBase::state_ = 0`[static, protected]`

Referenced by orxonox::SynchronisableVariable< T >::SynchronisableVariable().

The documentation for this class was generated from the following files:

- src/network/synchronisable/SynchronisableVariable.h
- src/network/synchronisable/SynchronisableVariable.cc